Bug 1004628 - yum should show repo it is downloading from [NEEDINFO]
yum should show repo it is downloading from
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 01:29 EDT by Fernando Cassia
Modified: 2015-02-17 12:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:04:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zpavlas: needinfo? (fcassia)


Attachments (Terms of Use)

  None (edit)
Description Fernando Cassia 2013-09-05 01:29:12 EDT
Description of problem:
YUM does not show from which mirror/repo it is downloading updates from
making it impossible at first sight to determine troublesome mirrors/repos (ie slow downloads etc)

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Always

Steps to Reproduce:
1. do a 'yum install firefox' or 'yum install [whatever package name]'
2. select 'y'es
3. whatch the packages download begin... with no clue of what repo it is using

Actual results:
Transaction Summary
================================================================================
Install  1 Package  (+3 Dependent packages)
Upgrade             ( 7 Dependent packages)
Total download size: 50 M
Is this ok [y/d/N]: y
Downloading packages:
updates/19/i386/prestodelta                                | 1.2 MB   00:03     
Delta RPMs reduced 1.4 M of updates to 416 k (71% saved)
(1/11): nspr-4.9.6-1.fc19_4.10.0-3.fc19.i686.drpm          |  28 kB   00:01     
(2/11): nss-softokn-freebl-3.14.3-1.fc19_3.15.1-1.fc19.i68 |  31 kB   00:00     
----------


Expected results:
Transaction Summary
==============================================================
Install  1 Package  (+3 Dependent packages)
Upgrade             ( 7 Dependent packages)
Total download size: 50 M
Is this ok [y/d/N]: y
Downloading packages:  [from Mirror: fedora.gtdinternet.com] <<<<<<<<<<
updates/19/i386/prestodelta                                | 1.2 MB   00:03     
Delta RPMs reduced 1.4 M of updates to 416 k (71% saved)
(1/11): nspr-4.9.6-1.fc19_4.10.0-3.fc19.i686.drpm          |  28 kB   00:01     
(2/11): nss-softokn-freebl-3.14.3-1.fc19_3.15.1-1.fc19.i68 |  31 kB   00:00     
-----
In case of a timeout (which down here, happens often) it'd show, instead of...
------
wget-1.14-8.fc19.i686.rpm      FAILED                                          
http://fedora.gtdinternet.com/updates/19/i386/wget-1.14-8.fc19.i686.rpm: [Errno 14] curl#6 - TIMEOUT
Trying other mirror.
-----
would show
-----
wget-1.14-8.fc19.i686.rpm      FAILED                                          
http://fedora.gtdinternet.com/updates/19/i386/wget-1.14-8.fc19.i686.rpm: [Errno 14] curl#6 - "TIMEOUT"
Trying other mirror: [ www.las.ic.unicamp.br ]
-----


Additional info:
It should be noted that under the current behaviour:
1. The current mirror is not displayed
2. When there are recurrent problems (ie slow downloads) with a current YUM whatever download, one cannot identify the name of the problem mirror, because (point #1)
3. even with -v (for "verbose" operation) yum details all kinds of internal values, timings etc but NOT THE MIRROR it is downloading from.
Comment 1 Rejy M Cyriac 2013-09-05 01:37:45 EDT
And when you get to know which mirrors are showing consistent download issues, it probably would be nice to have a way to disable that mirror temporarily for your current downloads. I believe that currently it is possible to disable only entire repos, not mirrors within the mirror lists.
Comment 2 Fernando Cassia 2013-09-05 13:20:48 EDT
(In reply to Rejy M Cyriac from comment #1)
> And when you get to know which mirrors are showing consistent download
> issues, it probably would be nice to have a way to disable that mirror
> temporarily for your current downloads. I believe that currently it is
> possible to disable only entire repos, not mirrors within the mirror lists.

I agree Rejy, but that should probably be a separate RFE, I invite you to file a bug report for that too. Let's get ideas separate and simpler so they have a higher chance of being implemented.
Comment 3 Zdeněk Pavlas 2013-09-09 07:26:19 EDT
> Downloading packages:  [from Mirror: fedora.gtdinternet.com]

This assumes Yum downloads from one mirror only. We use multiple mirrors, often simultaneously. Try "# URLGRABBER_DEBUG=INFO yum install firefox" to see full URLs
and effective max_connections usage.

> under the current behaviour: 1. The current mirror is not displayed

Yes, since there's no such thing.

> When there are recurrent problems (ie slow downloads) with a current YUM whatever download, one cannot identify the name of the problem mirror

When mirror is down or the download fails due to a timeout, we bump the failure counter in /var/cache/yum/$arch/$rel/timedhosts (the 3rd column).  Each failure in a row halves the estimated host speed, so Yum should avoid it for some time, until the timestamp (4th column) becomes too old.

> even with -v (for "verbose" operation) yum details all kinds of internal values, timings etc but NOT THE MIRROR it is downloading from.

There's no "real" API to tell urlgrabber to turn on debugging, apart from the URLGRABBER_DEBUG env variable.

I'm leaving this BZ open, because it might be nice to see mirrors we're downloading from.  However, I have no clear idea how to implement it atm.  Perhaps urlgrabber could append the mirror hostname to the basename?  Eg:

(1/11): nspr-4.9.6-1.fc19_4.10.0-3.fc19.i686.drpm (fedora.gtdinternet.com) |  28 kB   00:01
Comment 4 Fedora End Of Life 2015-01-09 14:44:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:04:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.